Package org.firebirdsql.gds

## Class JaybirdSystemProperties

- java.lang.Object
- - org.firebirdsql.gds.JaybirdSystemProperties

    public final class JaybirdSystemProperties
    extends java.lang.Object

Class to access Jaybird-specific system properties from a single place.

Author:
  Mark Rotteveel

### Field Summary

Fields
`static java.lang.String` `DATATYPE_CODER_CACHE_SIZE`
`static java.lang.String` `DEFAULT_CONNECTION_ENCODING_PROPERTY`
`static java.lang.String` `DISABLE_LOGGING_PROP`
`static java.lang.String` `FORCE_CONSOLE_LOGGER_PROP`
`static java.lang.String` `LOGGER_IMPLEMENTATION_PROP`
`static java.lang.String` `NATIVE_LIBRARY_SHUTDOWN_DISABLED`
`static java.lang.String` `PROCESS_ID_PROP`
`static java.lang.String` `PROCESS_NAME_PROP`
`static java.lang.String` `REQUIRE_CONNECTION_ENCODING_PROPERTY`
`static java.lang.String` `SYNC_WRAP_NATIVE_LIBRARY_PROP`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `getDatatypeCoderCacheSize​(int defaultValue)`
`static java.lang.String` `getDefaultConnectionEncoding()`
`static java.lang.String` `getLoggerImplementation()`
`static java.lang.Integer` `getProcessId()`
`static java.lang.String` `getProcessName()`
`static boolean` `isDisableLogging()`
`static boolean` `isForceConsoleLogger()`
`static boolean` `isNativeResourceShutdownDisabled()`
`static boolean` `isRequireConnectionEncoding()`
`static boolean` `isSyncWrapNativeLibrary()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FORCE_CONSOLE_LOGGER_PROP

    public static final java.lang.String FORCE_CONSOLE_LOGGER_PROP

See Also:
  Constant Field Values

#### DISABLE_LOGGING_PROP

    public static final java.lang.String DISABLE_LOGGING_PROP

See Also:
  Constant Field Values

#### LOGGER_IMPLEMENTATION_PROP

    public static final java.lang.String LOGGER_IMPLEMENTATION_PROP

See Also:
  Constant Field Values

#### SYNC_WRAP_NATIVE_LIBRARY_PROP

    public static final java.lang.String SYNC_WRAP_NATIVE_LIBRARY_PROP

See Also:
  Constant Field Values

#### PROCESS_ID_PROP

    public static final java.lang.String PROCESS_ID_PROP

See Also:
  Constant Field Values

#### PROCESS_NAME_PROP

    public static final java.lang.String PROCESS_NAME_PROP

See Also:
  Constant Field Values

#### DEFAULT_CONNECTION_ENCODING_PROPERTY

    public static final java.lang.String DEFAULT_CONNECTION_ENCODING_PROPERTY

See Also:
  Constant Field Values

#### REQUIRE_CONNECTION_ENCODING_PROPERTY

    public static final java.lang.String REQUIRE_CONNECTION_ENCODING_PROPERTY

See Also:
  Constant Field Values

#### DATATYPE_CODER_CACHE_SIZE

    public static final java.lang.String DATATYPE_CODER_CACHE_SIZE

See Also:
  Constant Field Values

#### NATIVE_LIBRARY_SHUTDOWN_DISABLED

    public static final java.lang.String NATIVE_LIBRARY_SHUTDOWN_DISABLED

See Also:
  Constant Field Values

### Method Detail

#### isForceConsoleLogger

    public static boolean isForceConsoleLogger()

#### isDisableLogging

    public static boolean isDisableLogging()

#### getLoggerImplementation

    public static java.lang.String getLoggerImplementation()

#### isSyncWrapNativeLibrary

    public static boolean isSyncWrapNativeLibrary()

#### getProcessId

    public static java.lang.Integer getProcessId()

#### getProcessName

    public static java.lang.String getProcessName()

#### getDefaultConnectionEncoding

    public static java.lang.String getDefaultConnectionEncoding()

#### isRequireConnectionEncoding

    public static boolean isRequireConnectionEncoding()

#### isNativeResourceShutdownDisabled

    public static boolean isNativeResourceShutdownDisabled()

#### getDatatypeCoderCacheSize

    public static int getDatatypeCoderCacheSize​(int defaultValue)